## org.exist.soap
Class EntityPermissionsList

    java.lang.Object
      org.exist.soap.EntityPermissionsList

All Implemented Interfaces:
  java.io.Serializable

public class EntityPermissionsList
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EntityPermissionsList()`
`EntityPermissionsList(EntityPermissions[] elements)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`EntityPermissions[]` `getElements()` Gets the elements value for this EntityPermissionsList.
`EntityPermissions` `getElements(int i)`
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setElements(EntityPermissions[] elements)` Sets the elements value for this EntityPermissionsList.
`void` `setElements(int i, EntityPermissions _value)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPermissionsList

    public EntityPermissionsList()

### EntityPermissionsList

    public EntityPermissionsList(EntityPermissions[] elements)

Method Detail

### getElements

    public EntityPermissions[] getElements()

  Gets the elements value for this EntityPermissionsList.

  Returns:
    elements

### setElements

    public void setElements(EntityPermissions[] elements)

  Sets the elements value for this EntityPermissionsList.

  Parameters:
    `elements` -

### getElements

    public EntityPermissions getElements(int i)

### setElements

    public void setElements(int i,
                            EntityPermissions _value)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.